<bugID>973422<Summary>'clear recent history' forgets what page you're really on</Summary><Description>User Agent: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:27.0) Gecko/20100101 Firefox/27.0 (Beta/Release)
Build ID: 20140130123317

Steps to reproduce:

To reproduce:
---
(Optional steps to obtain a pure test environment.)
1) Make a new Firefox profile.
2) Disable all extensions and plug-ins.
---
3) Firefox preferences: General tab: Startup: When Firefox starts: Show my windows and tabs from last time
4) In one tab, visit some different pages to get history for that tab.  (For the purpose of this demo, we'll use about.com, bitly.com, and cnet.com, in that order.)
5) Use the back button to go back to about.com.
6) Open a new tab.
7) While still on that tab, close Firefox.
8) Start Firefox again.
9) Press Ctrl+Shift+Del to bring up "Clear Recent History" dialog.
10) Select "Browsing &amp; Download History", and click "Clear Now".
11) Now click over into the first tab where you should have about.com.
12) The page will be blank (not loaded), but the address bar will confirm that you're on www.about.com.  Press the reload button.


Actual results:

cnet.com loads.


Expected results:

about.com should load.

In addition to being annoying, this bug is a privacy issue, because clearly Firefox is remembering a website we presumed was cleared.

Furthermore, this bug is like lemon juice in the wound of bug 691160, since it shows that Firefox has at least some record of other page visits in that tab even though it prevents you from seeing it (whereas it should keep the history since the visits were outside the selected age range.)

(Given, the number of long-standing bugs related to clearing history, I'd say that feature is rather broken!)</Description></bugID>